/* ==========================================================================
  SECTION PAGE
===========================================================================*/

.section-page {
  width: 100%;
  padding-top: 30px;
  padding-bottom: 30px;
  overflow: hidden;

  @include mq('laptop', 'max') {
    padding-top: 50px;
    padding-bottom: 50px;
  }

  @include mq('tablet', 'max') {
    padding-top: 40px;
    padding-bottom: 40px;
  }

  + .red-section {
    margin-top: -70px;
    margin-bottom: 30px;

    @include mq('laptop', 'max') {
      margin-top: -30px;
      margin-bottom: 0;
    }
  }
}

.section-page__row{
  display: flex;
  flex-wrap: wrap;
  margin-left: -15px;
  margin-right: -15px;
}

.section-page__row_reflected {

  @include mq('laptop') {
    flex-direction: row-reverse;

    .section-page__image {
      margin-left: 0;
    }
  }
}

.section-page__col {
  display: flex;
  align-items: center;
  padding-left: 15px;
  padding-right: 15px;
  text-align: left;

  @include mq('laptop', 'max') {
    width: 100%;
  }
}

.section-page__col_small {

  @include mq('laptop') {
    width: 40%;
  }
}

.section-page__col_large {

  @include mq('laptop') {
    width: 60%;
  }
}

.section-page__title {
  margin-top: 0;
  margin-bottom: 30px;
  color: $color-primary;

  @include mq('tablet', 'max') {
    margin-bottom: 15px;
  }
}

.section-page__image {
  flex-shrink: 0;
  margin-left: -35%;
  width: 882px;

  @include mq('desktop', 'max') {
    margin-left: -22%;
    width: 680px;
  }

  @include mq('laptop', 'max') {
    width: 100%;
    max-width: 480px;
    margin-left: auto;
    margin-right: auto;
  }
}

.section-page__content {

  p {
    margin: 30px 0;

    @include mq('tablet', 'max') {
      margin: 15px 0;
    }
  }

  @include mq('laptop', 'max') {
    max-width: 600px;
    margin: 0 auto;
    text-align: center;
  }
}

.section-page__title-large {
  position: relative;

  span {
    position: absolute;
    z-index: -1;
    top: 50%;
    left: 0;
    transform: translateY(-55%);
    color: $color-gray-light;
    font-size: 100px;
    font-weight: $font-weight-bold;
    opacity: 0.3;

    @include mq('desktop', 'max') {
      font-size: 60px;
    }

    @include mq('laptop', 'max') {
      left: 0;
      right: 0;
      margin: auto;
      transform: translateY(-60%);
    }

    @include mq('tablet', 'max') {
      font-size: 40px;
      transform: translateY(-70%);
    }
  }
}

.section-page__buttons {
  display: flex;
  align-items: center;
  flex-wrap: wrap;

  @include mq('desktop', 'max') {
    flex-direction: column;
    align-items: flex-start;
  }

  @include mq('laptop', 'max') {
    align-items: center;
  }

  .btn + .btn {
    margin-left: 10px;

    @include mq('desktop', 'max') {
      margin-left: 0;
      margin-top: 10px;
    }
  }
}

/* REVIEW */

.review-annotate {
  display: flex;
  align-items: flex-start;
  margin-top: 60px;

  @include mq('laptop', 'max') {
    flex-direction: column;
    align-items: center;
    margin-top: 30px;
  }
}

.review-annotate__avatar {
  flex-shrink: 0;
  width: 52px;
  height: 52px;
  border-radius: 50%;
  overflow: hidden;

  img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
}

.review-annotate__content {
  display: block;
  padding-left: 15px;

  @include mq('laptop', 'max') {
    padding-left: 0;
    padding-top: 15px;
  }
}

.review-annotate__text {
  font-size: 18px;
  font-style: italic;
}

.review-annotate__name {
  margin-top: 10px;
  font-size: 17px;
  font-weight: 700;
}

/* LIST */
.section-page__list {

  li {
    position: relative; // for ::before
    padding-left: 40px;
    text-align: left;

    + li {
      margin-top: 20px;
    }

    &::before {
      content: '';
      position: absolute;
      top: 6px;
      left: 0;
      display: block;
      width: 30px;
      height: 16px;
      background-image:url('data:image/svg+xml,%3Csvg%20id%3D%22%D0%A0%D0%B5%D0%B6%D0%B8%D0%BC_%D0%B8%D0%B7%D0%BE%D0%BB%D1%8F%D1%86%D0%B8%D0%B8%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%2024.2%2013.3%22%3E%3Cstyle%3E.st0%7Bfill%3A%23c00332%7D%3C%2Fstyle%3E%3Cpath%20class%3D%22st0%22%20d%3D%22M12.1%200L0%206.6l12.1%206.6%2012.1-6.6L12.1%200z%22%2F%3E%3C%2Fsvg%3E');
      background-repeat: no-repeat;
      background-size: cover;
    }
  }
}

/* section page */
